net.posprinter.posprinterface

## Interface IMyBinder

- All Known Implementing Classes:
    PosprinterService.MyBinder

      public interface IMyBinder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `Acceptdatafromprinter(TaskCallback var1, int var2)` Read printer respond data
    `void` | `CheckLinkedState(TaskCallback var1)` Check linked state
    `void` | `ClearBuffer()` Clear buffer
    `void` | `ConnectBtPort(java.lang.String var1, TaskCallback var2)` Connect printer by bluetooth
    `void` | `ConnectNetPort(java.lang.String var1, int var2, TaskCallback var3)` Connect printer by network port
    `void` | `ConnectUsbPort(android.content.Context var1, java.lang.String var2, TaskCallback var3)` Connect printer by usb
    `void` | `DisconnectCurrentPort(TaskCallback var1)` Discurrent current port
    `void` | `DisconnetNetPort(TaskCallback var1)`
    `java.util.List<java.lang.String>` | `getBtAvailableDevice()`
    `java.util.List<java.lang.String>` | `OnDiscovery(PosPrinterDev.PortType var1, android.content.Context var2)`
    `void` | `PrinterIsNormal(TaskCallback var1)`
    `RoundQueue<byte[]>` | `ReadBuffer()` Read buffer
    `void` | `Write(byte[] var1, TaskCallback var2)` Write data to printer
    `void` | `WriteDataByUSB(TaskCallback var1, ProcessData var2, int va3)` Write data to printer by usb
    `void` | `WriteSendData(TaskCallback var1, ProcessData var2)` Write data to printer

- - ### Method Detail

    - #### ConnectNetPort

          void ConnectNetPort(java.lang.String var1,
                              int var2,
                              TaskCallback var3)

      Connect printer by network port
      Parameters:
        `var1` - ip address of printer
        `var2` - net port 4000 or 9100
        `var3` -

    - #### ConnectBtPort

          void ConnectBtPort(java.lang.String var1,
                             TaskCallback var2)

      Connect printer by bluetooth
      Parameters:
        `var1` - bluetooth mac address
        `var2` -

    - #### ConnectUsbPort

          void ConnectUsbPort(android.content.Context var1,
                              java.lang.String var2,
                              TaskCallback var3)

      Connect printer by usb
      Parameters:
        `var1` - context
        `var2` - usb path name
        `var3` -

    - #### DisconnectCurrentPort

          void DisconnectCurrentPort(TaskCallback var1)

      Discurrent current port
      Parameters:
        `var1` -

    - #### Acceptdatafromprinter

          void Acceptdatafromprinter(TaskCallback var1,
                                     int var2)

      Read printer respond data
      Parameters:
        `var1` -
        `var2` - size of data

    - #### PrinterIsNormal

          void PrinterIsNormal(TaskCallback var1)

    - #### ReadBuffer

          RoundQueue<byte[]> ReadBuffer()

      Read buffer
      Returns:

    - #### ClearBuffer

          void ClearBuffer()

      Clear buffer

    - #### CheckLinkedState

          void CheckLinkedState(TaskCallback var1)

      Check linked state
      Parameters:
        `var1` -

    - #### Write

          void Write(byte[] var1,
                     TaskCallback var2)

      Write data to printer
      Parameters:
        `var1` - data
        `var2` -

    - #### WriteSendData

          void WriteSendData(TaskCallback var1,
                             ProcessData var2)

      Write data to printer
      Parameters:
        `var1` -
        `var2` - data

    - #### WriteDataByUSB

          void WriteDataByUSB(TaskCallback var1,
                              ProcessData var2,
                              int va3)

      Write data to printer by usb
      Parameters:
        `var1` -
        `var2` - data
        `va3` - timeout

    - #### DisconnetNetPort

          void DisconnetNetPort(TaskCallback var1)

    - #### OnDiscovery

          java.util.List<java.lang.String> OnDiscovery(PosPrinterDev.PortType var1,
                                                       android.content.Context var2)

    - #### getBtAvailableDevice

          java.util.List<java.lang.String> getBtAvailableDevice()